<ion-header>
  <ion-toolbar>
    <ion-title>
      PRINTER TEST BLUETOOTH TBN
    </ion-title>
  </ion-toolbar>
</ion-header>

<ion-content>

  <ion-button  color="primary" expand="full" class="submit-button" (click)="listPairedDevices()">
    <ion-icon name="refresh"></ion-icon>&nbsp;Refresh Bluetooth Devices
  </ion-button>

  <ion-row>
    <ion-col>
      <ion-list radio-group [(ngModel)]="pairedDeviceID" *ngIf="listToggle">
        <ion-item *ngFor="let i of pairedList;let j=index">
          <ion-label>{{i.name}}</ion-label>
          <ion-radio value="{{j}}" (ionSelect)="pairedDeviceID=j"></ion-radio>
        </ion-item>
      </ion-list>
    </ion-col>
  </ion-row>

  <ion-button color="primary" expand="full" class="submit-button" *ngIf="listConn" (click)="selectDevice()">
    <ion-icon name="bluetooth"></ion-icon>&nbsp;Connect Bluetooth Devices
  </ion-button>

  <ion-button color="primary" expand="full" class="submit-button" *ngIf="listDisConn" (click)="deviceDisconnected()">
    <ion-icon name="disc"></ion-icon>&nbsp;DisConnect Bluetooth Devices
  </ion-button>

  <ion-list>
    <ion-item>
      <!--ion-label floating>Type The Data You want to Send</ion-label-->
      <ion-input placeholder="" type="text" name="datasend" [(ngModel)]="dataSend"></ion-input>
    </ion-item>
  </ion-list>

  <ion-button color="tertiary" expand="full"  class="submit-button" (click)="sendData()">
    <ion-icon name="send"></ion-icon>&nbsp;Send TEXT Via Bluetooth
  </ion-button>
  
  <div>
    <ion-input type="text" placeholder="Entry"[(ngModel)]="QRText"></ion-input>
    <ion-button color="tertiary" expand="full" (click)="printQR()">
      <ion-icon name="send"></ion-icon>&nbsp;PrintQR Via Bluetooth
    </ion-button>
  </div>

  <br/>
  <br/>
  <div>
      <ion-input type="text" placeholder="My QR data"[(ngModel)]="encodeText"></ion-input>
      <ion-button color="secondary" expand="full" (click)="encode()">Encode</ion-button>
  </div>
  
  <div>
      
      <ion-button color="secondary" expand="full" (click)="scan()">Scan</ion-button>

      <div *ngIf="scannedData.text">
      <label>Your Barcod is</label>
      <br/>
      <span>{{scannedData.text}}</span>
      </div>

  </div>
  <br/><br/>
  <ion-button color="primary"(click)="exitApp()">exit</ion-button>
    

</ion-content>
